<div>
  <div class="header">
    <h1 class="title">{{assignment.name}}</h1>
    <h3>{{course.name}}</h3>
  </div>

  <div class="deadline">
    <h2 class="inline">
      <i class="fa fa-clock-o" aria-hidden="true"></i>
      Deadline:
    </h2>
    <h3 class="indented">
      <span>
        {{assignment | date}}
      </span>
      <span
        class="badge badge-danger"
        v-if="!expired"
      >
        {{assignment | deltaDays}}
      </span>
    </h3>
  </div>


  <div class="status">
    <h2>
      <i class="fa fa-info-circle" aria-hidden="true"></i>
      Status:
    </h2>
    <div class="form-inline">
      <div class="input-group">
        <span class="input-group-addon bold">
          Submitted:
        </span>
        <span
          :class="{
            'input-group-addon': true,
            'ok': submitted,
            'bad': !submitted,
          }"
        >
          {{submitted? 'Yes' : 'No'}}
        </span>
      </div>
      <div class="input-group" v-if="expired">
        <span class="input-group-addon bold">
          Corrected:
        </span>
        <span
          :class="{
            'input-group-addon': true,
            'ok': corrected,
            'bad': !corrected,
          }"
        >
          {{corrected? 'Yes' : 'No'}}
        </span>
      </div>
      <div class="input-group" v-if="corrected">
        <span class="input-group-addon bold">
          Grading:
        </span>
        <span
          :class="{'input-group-addon': true, 'bold': false}"
          :style="{color: gradeColor}"
        >
          {{assignment.points+'/'+assignment.maxPoints}}
        </span>
      </div>
    </div>
  </div>


  <div class="files">
    <h2>
      <i class="fa fa-file-text" aria-hidden="true"></i>
      Files:
    </h2>
    <table class="table table-striped table-bordered">
      <tbody>
        <tr>
          <th colspan="3">
            <a @click="spawnFileBrowser()">
              Open File Manager
            </a>
          </th>
        </tr>
        <tr>
          <th>Assignment</th>
          <th>Submitted</th>
          <th>Corrected</th>
        </tr>
        <tr v-for="i in fileListLength">
          <td>{{fileTableEntry("files", i)}}</td>
          <td>{{fileTableEntry("submittedFiles", i)}}</td>
          <td>{{fileTableEntry("correctedFifles", i)}}</td>
        </tr>
      </tbody>
    </table>
    <div class="get-assignment">
      <button type="button" class="btn btn-secondary" @click="getFiles()">
        <span class="glyphicon glyphicon-save"></span>
        Get Assignment
      </button>
    </div>
  </div>

  <div class="submission" v-if="!expired">
    <h2>
      <i class="fa fa-user" aria-hidden="true"></i>
      Submission Information:
    </h2>

    <div class="input-group student-info" v-for="(index, student) in assignment.students">
      <span class="input-group-addon">Student<br />Information</span>
      <input type="text" class="form-control" v-model="student.firstName" placeholder="First Name">
      <input type="text" class="form-control" v-model="student.lastName" placeholder="Last Name">
      <input type="text" class="form-control" v-model="student.matrNr" placeholder="Matr. Nr.">
      <input type="text" v-if="index==0" disabled class="form-control" v-model="student.accountName" placeholder="your name">
      <input type="text" v-if="index!=0" class="form-control" v-model="student.accountName" placeholder="Vispa Name (optional)">
    </div>
    <div class="btn-group add-info" role="group" aria-label="Basic example">
      <button type="button" class="btn btn-secondary" @click="removeInfo">
        <i class="fa fa-minus"></i>
      </button>
      <button type="button" class="btn btn-secondary" @click="addInfo">
        <i class="fa fa-plus"></i>
      </button>
    </div>

    <h2>
      <i class="fa fa-paper-plane" aria-hidden="true"></i>
      Submission:
    </h2>

    <div class="full-width-btn">
      <button type="button" class="btn btn-success" @click="submit()">
        <i class="fa fa-paper-plane" aria-hidden="true"></i>
        Submit Assignment
        </button>
    </div>
  </div>
</div>
